ghc-lib-parser-9.10.1.20250103: The GHC API, decoupled from GHC versions

Safe Haskell | Ignore
Language | GHC2021

GHC.Driver.Env.KnotVars

Description

This data structure holds an updateable environment which is used when compiling module loops.

# Documentation

data KnotVars a #

Constructors

KnotVars |

Fields

- kv_domain :: [Module]
- kv_lookup :: Module -> Maybe a

NoKnotVars |

#### Instances

Instances details

Functor KnotVars # |
Instance details Defined in GHC.Driver.Env.KnotVars Methods fmap :: (a -> b) -> KnotVars a -> KnotVars b # (<$) :: a -> KnotVars b -> KnotVars a #
Outputable (KnotVars a) # |
Instance details Defined in GHC.Driver.Env.KnotVars Methods ppr :: KnotVars a -> SDoc #

emptyKnotVars :: KnotVars a #

knotVarsFromModuleEnv :: ModuleEnv a -> KnotVars a #

knotVarElems :: KnotVars a -> [a] #

lookupKnotVars :: KnotVars a -> Module -> Maybe a #

knotVarsWithout :: Module -> KnotVars a -> KnotVars a #